Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface SrvCall

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Node, org.eclipse.emf.common.notify.Notifier, OpNode

All Known Subinterfaces:
  PAPDCall, WSCall

    public interface SrvCall

extends OpNode

A representation of the model object 'Srv Call'.

The following features are supported:

- `Operation`
- `Service Connector`
- `Param Bindings`
- `Output Slot`
- `On Exception`

See Also:
  `SvcorchPackage.getSrvCall()`

Method Summary
`org.eclipse.emf.common.util.EList<ExceptionHandler>` | `getOnException()` Returns the value of the 'On Exception' containment reference list.
`Operation` | `getOperation()` Returns the value of the 'Operation' reference
`DataSlot` | `getOutputSlot()` Returns the value of the 'Output Slot' reference
`org.eclipse.emf.common.util.EList<ParamBinding>` | `getParamBindings()` Returns the value of the 'Param Bindings' containment reference list.
`ServiceConnector` | `getServiceConnector()` Returns the value of the 'Service Connector' reference
`void` | `setOperation(Operation value)` Sets the value of the '`Operation`' reference
`void` | `setOutputSlot(DataSlot value)` Sets the value of the '`Output Slot`' reference
`void` | `setServiceConnector(ServiceConnector value)` Sets the value of the '`Service Connector`' reference

Methods inherited from interface it.csi.mddtools.svcorch.OpNode
`getNext, setNext`

Methods inherited from interface it.csi.mddtools.svcorch.Node
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperation

    Operation getOperation()

  Returns the value of the 'Operation' reference.

  If the meaning of the 'Operation' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operation' reference.
  See Also:
    `setOperation(Operation)`, `SvcorchPackage.getSrvCall_Operation()`

### setOperation

    void setOperation(Operation value)

  Sets the value of the '`Operation`' reference.

  Parameters:
    `value` - the new value of the 'Operation' reference.
  See Also:
    `getOperation()`

### getServiceConnector

    ServiceConnector getServiceConnector()

  Returns the value of the 'Service Connector' reference.

  If the meaning of the 'Service Connector' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Connector' reference.
  See Also:
    `setServiceConnector(ServiceConnector)`, `SvcorchPackage.getSrvCall_ServiceConnector()`

### setServiceConnector

    void setServiceConnector(ServiceConnector value)

  Sets the value of the '`Service Connector`' reference.

  Parameters:
    `value` - the new value of the 'Service Connector' reference.
  See Also:
    `getServiceConnector()`

### getParamBindings

    org.eclipse.emf.common.util.EList<ParamBinding> getParamBindings()

  Returns the value of the 'Param Bindings' containment reference list. The list contents are of type `ParamBinding`.

  If the meaning of the 'Param Bindings' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Param Bindings' containment reference list.
  See Also:
    `SvcorchPackage.getSrvCall_ParamBindings()`

### getOutputSlot

    DataSlot getOutputSlot()

  Returns the value of the 'Output Slot' reference.

  If the meaning of the 'Output Slot' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Output Slot' reference.
  See Also:
    `setOutputSlot(DataSlot)`, `SvcorchPackage.getSrvCall_OutputSlot()`

### setOutputSlot

    void setOutputSlot(DataSlot value)

  Sets the value of the '`Output Slot`' reference.

  Parameters:
    `value` - the new value of the 'Output Slot' reference.
  See Also:
    `getOutputSlot()`

### getOnException

    org.eclipse.emf.common.util.EList<ExceptionHandler> getOnException()

  Returns the value of the 'On Exception' containment reference list. The list contents are of type `ExceptionHandler`.

  If the meaning of the 'On Exception' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'On Exception' containment reference list.
  See Also:
    `SvcorchPackage.getSrvCall_OnException()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD